@-webkit-keyframes preLoaderAnimation {
    0%{background-position:57% 0%}
    50%{background-position:44% 100%}
    100%{background-position:57% 0%}
}
@-moz-keyframes preLoaderAnimation {
    0%{background-position:57% 0%}
    50%{background-position:44% 100%}
    100%{background-position:57% 0%}
}
@keyframes preLoaderAnimation {
    0%{background-position:57% 0%}
    50%{background-position:44% 100%}
    100%{background-position:57% 0%}
}

.select2 {
  -webkit-transition: none !important;
  -moz-transition: none !important;
  -o-transition: none !important;
  transition: none !important;
}

.alert p {
	margin: unset;
}

.header-menu > li.menu_highlighted > .page-button {
	padding: 0 25px !important;
	height: 45px;
}

.input-field.color-2 {
    color: var(--primary-color-hover);
}

.header-menu > li.menu_highlighted > .page-button .txt {
	font-size: 12px;
	line-height: 45px;
}

.checkbox-entry-wrap .checkbox-entry .content-check {
	min-height: 85px;
}

.pgy-option .checkbox-entry-wrap .checkbox-entry .content-check {
	min-height: 60px;
	padding: 5px 10px;
}

.preloader {
	position: fixed;left: 0;top: 0;width: 100%;height: 100%;text-align: center;z-index: 6001; 
	display: flex;
	background: linear-gradient(318deg, rgba(0, 0, 0, 1), rgba(255, 255, 255, 0.5));
    background-size: 200% 300%;

    -webkit-animation: preLoaderAnimation 5s ease infinite;
    -moz-animation: preLoaderAnimation 5s ease infinite;
    animation: preLoaderAnimation 5s ease infinite;
}
.preloader:after { 
	content: ""; height: 100%; display: inline-block; vertical-align: middle; 
}

.preloader .spinner-border {
	color: var(--primary-color) !important;
}

.page-color-style-one-color.page-style-5 .title, .page-color-style-one-color .header-menu > li > ul li:hover > a, .page-color-style-one-color .login-item a:hover, .page-color-style-one-color .button-style-3:not(.type-2), .page-color-style-one-color .button-style-4:not(.type-2), .page-color-style-one-color .button-style-1.type-2, .page-color-style-one-color .checkbox-entry-wrap .checkbox-entry input:checked + span p, .page-color-style-one-color .page-navigation a:hover, .page-color-style-one-color .copyright span a, .page-color-style-one-color .link-hover:hover, .page-color-style-one-color .f-twitt a, .page-color-style-one-color .caption-inst a span, .page-color-style-one-color .link-hover-line:hover, .page-color-style-one-color .button-style-1.type-4:hover, .page-color-style-one-color .countdown-type .ClassyCountdown-value div, .page-color-style-one-color .main-col, .page-color-style-one-color .item-tabs li.active .link-hover-line, .page-color-style-one-color .popup .forgot a:hover, .page-color-style-one-color .popup .reg-now a:hover, a.active {color: var(--primary-color) !important;}
.page-color-style-one-color .button-style-1:before, .page-color-style-one-color .header-menu > li > a:before, .page-color-style-one-color .header-style-2 .header-menu > li:before, .page-color-style-one-color .header-style-2 .header-menu > li:after, .page-color-style-one-color .shop-number, .page-color-style-one-color .button-style-3:not(.type-2):before, .page-color-style-one-color .button-style-3:not(.type-2):after, .page-color-style-one-color .button-style-3:not(.type-2) i:after, .page-color-style-one-color .button-style-3:not(.type-2) i:before, .page-color-style-one-color .button-style-4:not(.type-2) i:before, .page-color-style-one-color .button-style-4:not(.type-2) i:after, .page-color-style-one-color .checkbox-entry i:before, .page-color-style-one-color .subscribe-form:not(.form-type-2) .sub-submit, .page-color-style-one-color .form-type-2 .sub-submit:hover, .page-color-style-one-color .ui-slider .ui-slider-range, .page-color-style-one-color .ui-slider .ui-slider-handle:before, .page-color-style-one-color .link-hover-line:before, .page-color-style-one-color.page-style-1 .page-span-1:before, .page-color-style-one-color.page-style-1 .page-span-1:after, .page-color-style-one-color.page-style-1 .page-span-2:before, .page-color-style-one-color.page-style-1 .page-span-2:after, .page-color-style-one-color .list-style-4 li:hover:before, .page-color-style-one-color .page-span:before, .page-color-style-one-color .page-span:after, .page-color-style-one-color.page-style-2 .simple-item-style-2.color-type-1, .page-color-style-one-color .swiper-container-horizontal> .swiper-pagination-2.swiper-pagination-bullets .swiper-pagination-bullet:after {background: var(--primary-color);}
.page-color-style-one-color .follow a:hover path, .page-color-style-one-color .search-open:hover path, .page-color-style-one-color .close-search:hover path, .page-color-style-one-color .submit-search:hover path, .page-color-style-one-color .header .right-block .like-item.active path, .page-color-style-one-color .header .right-block .like-item:hover path, .page-color-style-one-color .page-navigation a:hover path, .page-color-style-one-color .f-twitt path, .page-color-style-one-color .main-fill-col path, .page-color-style-one-color .main-fill-hover:hover path, .page-color-style-one-color .close-popup.type-2:hover path, .page-color-style-one-color .main-fill-col * {fill: var(--primary-color);} 
.page-color-style-one-color .button-style-4:not(.type-2):before, .page-color-style-one-color .button-style-4:not(.type-2):after, .page-color-style-one-color .button-style-1.type-2, .page-color-style-one-color .checkbox-entry input:checked + span i, .page-color-style-one-color .page-navigation a:before, .page-color-style-one-color .ui-slider .ui-slider-handle, .page-color-style-one-color.page-style-2 .simple-item-style-1.color-type-2, .page-color-style-one-color .button-style-1.type-4:after, .page-color-style-one-color .button-style-1.type-2:after, .page-color-style-one-color .input-field:focus, .page-color-style-one-color .input-field.type-2:focus, .page-color-style-one-color .focus {border-color: var(--primary-color);}
.page-color-style-one-color.page-style-2 .testimonials-item .text:after {border-color: var(--primary-color) transparent transparent transparent;}
.page-color-style-one-color.page-style-2 .testimonials-item .text:before {box-shadow: 0 0 0 20px var(--primary-color);}
@media (max-width: 480px) { 
  .page-color-style-one-color.page-style-2 .testimonials-item .text:before {box-shadow: 0 0 0 10px var(--primary-color);}   
}
.item-tabs.type-2 li.active span, .item-tabs.type-2 li.active span::before, .item-tabs.type-2 li.active span::after, .item-tabs.type-2 li:hover span, .item-tabs.type-2 li:hover span::before, .item-tabs.type-2 li:hover span::after {
	background: var(--primary-color);
}

.text-one-color,
.checkbox-entry-wrap .checkbox-entry input:checked + .content-check .simple-text p,
.uk-tab > .uk-active > a,
.header-menu li.active span {
	color: var(--primary-color);
}

.checkbox-entry-wrap .checkbox-entry .content-check::after,
.uk-tab > .uk-active > a {
	border-color: var(--primary-color);
}

.background-one-color {
	background-color: var(--primary-color);
}

.custom-switch .custom-control-label::after {
	background-color: var(--primary-color);
}

.custom-control-input:checked ~ .custom-control-label::before {
    border-color: var(--primary-color);
    background-color: var(--primary-color);
}

.btn-one-color {
	color: var(--secondary-color);
	border-color: var(--primary-color);
    background-color: var(--primary-color);
}

.btn-one-color:hover {
	color: var(--secondary-color);
    background-color: var(--primary-color-hover);
    border-color: var(--primary-color-hover);
}

.button-style-1.type-2:hover, .button-style-1.type-3:hover {
    color: #fff !important;
}

.sideBarSwiper .swiper-slide .content::after,
.uk-slideshow .uk-thumbnav .uk-active a {
    border: 5px solid var(--primary-color);
}

.nav {
	font-size: unset;
}

.close-popup {
	font-size: 16px;
}

a:hover {
	text-decoration: none !important;
}

img[data-src][src="/files/svg-loaders/rings.svg"] { 
	padding: 50px;
}

img[data-src][src=""] { 
	border: 8px solid #f3f3f3;
  	border-top: 8px solid var(--primary-color);
  	border-radius: 50%;
  	width: 50px;
  	height: 50px;
  	animation: spin 2s linear infinite;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.loader-ellips {
  font-size: 20px; /* change size here */
  position: relative;
  width: 4em;
  height: 1em;
  margin: 10px auto;
}

.loader-ellips__dot {
  display: block;
  width: 1em;
  height: 1em;
  border-radius: 0.5em;
  background: var(--primary-color); /* change color here */
  position: absolute;
  animation-duration: 0.5s;
  animation-timing-function: ease;
  animation-iteration-count: infinite;
}

.loader-ellips__dot:nth-child(1),
.loader-ellips__dot:nth-child(2) {
  left: 0;
}
.loader-ellips__dot:nth-child(3) { left: 1.5em; }
.loader-ellips__dot:nth-child(4) { left: 3em; }

@keyframes reveal {
  from { transform: scale(0.001); }
  to { transform: scale(1); }
}

@keyframes slide {
  to { transform: translateX(1.5em) }
}

.loader-ellips__dot:nth-child(1) {
  animation-name: reveal;
}

.loader-ellips__dot:nth-child(2),
.loader-ellips__dot:nth-child(3) {
  animation-name: slide;
}

.loader-ellips__dot:nth-child(4) {
  animation-name: reveal;
  animation-direction: reverse;
}

.custom-switch {
	padding-left: 3.25rem;
}

.sign-as {
    position: relative;
    overflow: hidden;
}

.sign-as::before {
    content: "";
    position: absolute;
    width: 1000px;
    height: 1px;
    background: #464646;
    display: block;
    top: 50%;
}

.sign-as p {
    display: inline-block;
    background: #fff;
    padding: 0 20px;
    margin-bottom: 0px;
}

.dropify-wrapper .dropify-message span.file-icon::before {
    font-size: 50px;
}

.dropify-wrapper .dropify-message span.file-icon {
    font-size: 20px;
}

.dataTables_processing.card {
	border: 0 none !important;
}

.dataTables_processing.card i.text-info {
	color: var(--primary-color) !important;
}

.btn-pink {
  color: #343a40;
  background-color: #ff8acc;
  border-color: #ff8acc; }
  .btn-pink:hover {
    color: #fff;
    background-color: #ff64bb;
    border-color: #ff57b6; }
  .btn-pink:focus, .btn-pink.focus {
    -webkit-box-shadow: 0 0 0 0.15rem rgba(225, 126, 183, 0.5);
            box-shadow: 0 0 0 0.15rem rgba(225, 126, 183, 0.5); }
  .btn-pink.disabled, .btn-pink:disabled {
    color: #343a40;
    background-color: #ff8acc;
    border-color: #ff8acc; }
  .btn-pink:not(:disabled):not(.disabled):active, .btn-pink:not(:disabled):not(.disabled).active,
  .show > .btn-pink.dropdown-toggle {
    color: #fff;
    background-color: #ff57b6;
    border-color: #ff4ab0; }
    .btn-pink:not(:disabled):not(.disabled):active:focus, .btn-pink:not(:disabled):not(.disabled).active:focus,
    .show > .btn-pink.dropdown-toggle:focus {
      -webkit-box-shadow: 0 0 0 0.15rem rgba(225, 126, 183, 0.5);
              box-shadow: 0 0 0 0.15rem rgba(225, 126, 183, 0.5); }

.btn-purple {
  color: #fff;
  background-color: #5b69bc;
  border-color: #5b69bc; }
  .btn-purple:hover {
    color: #fff;
    background-color: #4654ab;
    border-color: #4250a2; }
  .btn-purple:focus, .btn-purple.focus {
    -webkit-box-shadow: 0 0 0 0.15rem rgba(116, 128, 198, 0.5);
            box-shadow: 0 0 0 0.15rem rgba(116, 128, 198, 0.5); }
  .btn-purple.disabled, .btn-purple:disabled {
    color: #fff;
    background-color: #5b69bc;
    border-color: #5b69bc; }
  .btn-purple:not(:disabled):not(.disabled):active, .btn-purple:not(:disabled):not(.disabled).active,
  .show > .btn-purple.dropdown-toggle {
    color: #fff;
    background-color: #4250a2;
    border-color: #3e4b99; }
    .btn-purple:not(:disabled):not(.disabled):active:focus, .btn-purple:not(:disabled):not(.disabled).active:focus,
    .show > .btn-purple.dropdown-toggle:focus {
      -webkit-box-shadow: 0 0 0 0.15rem rgba(116, 128, 198, 0.5);
              box-shadow: 0 0 0 0.15rem rgba(116, 128, 198, 0.5); }

.btn-blue {
  color: #fff;
  background-color: #71b6f9;
  border-color: #71b6f9; }
  .btn-blue:hover {
    color: #fff;
    background-color: #4ca3f7;
    border-color: #409df7; }
  .btn-blue:focus, .btn-blue.focus {
    -webkit-box-shadow: 0 0 0 0.15rem rgba(134, 193, 250, 0.5);
            box-shadow: 0 0 0 0.15rem rgba(134, 193, 250, 0.5); }
  .btn-blue.disabled, .btn-blue:disabled {
    color: #fff;
    background-color: #71b6f9;
    border-color: #71b6f9; }
  .btn-blue:not(:disabled):not(.disabled):active, .btn-blue:not(:disabled):not(.disabled).active,
  .show > .btn-blue.dropdown-toggle {
    color: #fff;
    background-color: #409df7;
    border-color: #3497f6; }
    .btn-blue:not(:disabled):not(.disabled):active:focus, .btn-blue:not(:disabled):not(.disabled).active:focus,
    .show > .btn-blue.dropdown-toggle:focus {
      -webkit-box-shadow: 0 0 0 0.15rem rgba(134, 193, 250, 0.5);
              box-shadow: 0 0 0 0.15rem rgba(134, 193, 250, 0.5); }

.input-field-wrap .select2-container--bootstrap4.select2-container--focus .select2-selection {
    border-color: var(--primary-color) !important;
    -webkit-box-shadow: unset !important;
    box-shadow: unset !important;
}

.input-field-wrap .select2-container--bootstrap4 .select2-selection {
	border: 1px solid rgba(209,209,209,0.7) !important;
	border-radius: unset !important;
}

.input-field-wrap .select2-container .select2-selection--single .select2-selection__rendered {
	color: #898989 !important;
}

.input-field-wrap .select2-container--bootstrap4 .select2-selection--single .select2-selection__arrow b {
    border-color: #898989 transparent transparent !important;
}

.input-field-wrap .select2-container--bootstrap4 .select2-selection--single {
    height: calc(1.5em + .75rem + 8px) !important;
}

.input-field-wrap .select2-container--bootstrap4 .select2-selection--single .select2-selection__rendered {
    line-height: calc(1.5em + .75rem + 11px) !important;
	font-size: 13px !important;
}

.input-field-wrap .select2-container .select2-selection--single .select2-selection__rendered {
    padding-left: 19px !important;
}

.select2-search--dropdown .select2-search__field { 
	border-radius: unset !important;
}

.select2-container--bootstrap4 .select2-results__option--highlighted, .select2-container--bootstrap4 .select2-results__option--highlighted.select2-results__option[aria-selected="true"] {
    background-color: var(--primary-color-hover) !important;
    color: #fff !important;
}

select.input-field {
    font-weight: unset;
    background-position: top 19px right 8px;
    padding: 0 5px 0px 15px;
    color: #898989;
}

.input-field-wrap.is-invalid .select2-selection,
.input-field-wrap.is-invalid input,
.input-field-wrap.is-invalid select,
.checkbox-entry.is-invalid i {
    border-color: var(--red) !important;
}

.navigation-secondary {
	display: none;
}

.shop-card-item {
    margin-right: 10px;
    padding: 25px 0px;
    cursor: pointer;
}

.rating {
  	display: inline-block;
	position: relative;
	height: .9rem;
	line-height: .9rem;
	font-size: .9rem;
}

.rating label {
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	cursor: pointer;
}

.rating label:last-child {
  	position: static;
}

.rating label:nth-child(1) {
  	z-index: 10;
}

.rating label:nth-child(2) {
  	z-index: 9;
}

.rating label:nth-child(3) {
  	z-index: 8;
}

.rating label:nth-child(4) {
  	z-index: 7;
}

.rating label:nth-child(5) {
  	z-index: 6;
}

.rating label:nth-child(6) {
  	z-index: 5;
}

.rating label:nth-child(7) {
  	z-index: 4;
}

.rating label:nth-child(8) {
  	z-index: 3;
}

.rating label:nth-child(9) {
  	z-index: 2;
}

.rating label:nth-child(10) {
  	z-index: 1;
}

.rating label input {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
}

.rating label .icon {
  float: left;
  color: transparent;
}

.rating label:last-child .icon {
  color: #000;
}

.rating:not(:hover) label input:checked ~ .icon,
.rating:hover label:hover input ~ .icon {
  color: var(--primary-color);
}

.rating:not(:hover) label input:checked ~ .icon i::before,
.rating:hover label:hover input ~ .icon i::before {
  font-weight: 900;
}

.rating:not(:hover) label input:not(:checked) ~ .icon i::before,
.rating:hover label:not(:hover) input ~ .icon i::before {
  font-weight: 400;
}

.rating label input:focus:not(:checked) ~ .icon:last-child {
  color: #000;
  text-shadow: 0 0 5px var(--primary-color);
}

.header .shop-card-item.header-cart {
	z-index: 1500;
}

.menu-item .image {
    min-height: 165px;
}

.product-discount {
	position: absolute;
	display: block;
	right: -20px;
	z-index: 3;
	top: -20px;
}

.product-discount div {
	width: 60px;
	height: 60px;
	background: var(--primary-color);
	color: var(--secondary-color);
}

.product-discount-header div,
.product-discount-header-right div {
	font-size: 12px;
	height: 40px;
	width: 40px;
}

.product-discount-list {
	right: unset;
	left: -20px;
}

.product-discount-header {
	right: unset;
	left: 10px;
	top: -10px;
}

.product-discount-header-right {
	right: -10px;
	top: -10px;
}

.shop-card-list li .shop-counter {
	min-width: 172px;
}

.shop-card-list li .menu-price {
	min-width: 100px;
}

.main-menu-mobile-item {
	display: none !important;
}

.shop-card-list ul {
	padding-left: 0px;
}

.menu-filter .tag-filter-wrapper {
	max-height: 300px;
	overflow-y: scroll;
	overflow-x: hidden;
}

#giftModal table .img {
	min-width: 70px;
	max-width: 150px;
}

.aktualis-szorolapunk .uk-slidenav {
	border: 2px solid;
	border-radius: 15px;
	background-color: #f0f0f0;
}

.table-col1 {
  width: 8.333333%;
}

.table-col-2 {
  width: 16.666667%;
}

.table-col-3 {
  width: 25%;
}

.table-col-4 {
  width: 33.333333%;
}

.table-col-5 {
  width: 41.666667%;
}

.table-col-6 {
  width: 50%;
}

.table-col-7 {
  width: 58.333333%;
}

.table-col-8 {
  width: 66.666667%;
}

.table-col-9 {
  width: 75%;
}

.table-col-10 {
  width: 83.333333%;
}

.table-col-11 {
  width: 91.666667%;
}

.table-col-12 {
  width: 100%;
}

.cookie_notice_bar-wrapper {
	position: fixed;
	bottom: 0;
	left: 0;
	width: 100%;
	height: auto;
	z-index: 100;
  }

@media (max-width: 991px) {
	.main-content {margin-top: 56px;}

	.main-menu-mobile-item {
		display: block !important;
	}

	#productQuickView .product-discount {
		right: unset;
		left: 10px;
	}

	.product-discount-header {
		left: 20px;
	}

	.menu-filter .categories-navigation li a {
		font-size: 1em;
	}

	.menu-filter .favorite_products {
		width: unset;
		border: unset;
		font-size: 1em;
		margin: unset !important;
		padding: unset;
		color: #999;
	}

	.menu-filter .favorite_products:hover {
		background-color: unset;
		color: var(--primary-color);
	}

	.menu-filter .tag-filter-wrapper {
		max-height: unset;
		overflow-y: unset;
	} 

	ul.header-menu, ul {
		padding-left: 0px;
	}

	#giftModal .modal-dialog {
		width: 95%;
		max-width: unset;
	}

	.header .navigation .nav .login-item {
		padding-right: 0px;
	}

	#fb-root {
		display: none;
	}
	.card-columns {
		column-count: 2;
	}

	.promo-code .input-field-wrap {
	    margin-right: 0px;
	}

	.promo-code .page-button {
	    position: relative;
		margin-top: 10px;
		width: 100%;
	}
}

@media (min-width: 991px) {
	.header.scrol:not(.header-style-2) .header-menu > li > a {
	    padding: 24px 0px 30px;
	}
	.header.scrol .shop-card-item {
	    padding: 20px 0px;
	}
	.header.scrol:not(.header-style-2) .right-block {
	    padding: 0px 0px;
	}
	.header-menu > li > a {
	    padding: 30px 0px 30px;
	    margin: 0px 15px;
	    display: inline-block;
	}

	.navigation-secondary {
		display: block;
	}	
}

@media (max-width: 768px) {
	.header .search-form-wrap {
		padding: 0px 80px;
	}
}

@media (max-width: 600px) {
	header.card-include .right-block {
		margin-top: 25px;
	}

	.shop-card-list li .img img {
		max-width: 50%;
	}
	.shop-card-list ul li {
		border-bottom: 1px solid #eee;
	}
	.product-discount-header {
		top: 20px;
	}

	#giftModal .modal-content {
		padding-left: 0.5rem !important;
		padding-right: 0.5rem !important;
	}
}

@media (max-width: 576px) {
	.col-12-responsive-fix {
		max-width: 100vw;
	}
	.card-columns {
		column-count: 1;
	}
}

@media (max-width: 420px) {
	.button-full-width button {
	    width: 100%;
	    display: block;
	}
}

button:focus {
	outline: none !important;
}
